Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletResponseImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl

All Implemented Interfaces:
  PortletResponse

Direct Known Subclasses:
  ActionResponseImpl, RenderResponseImpl

    public abstract class PortletResponseImpl

extends java.lang.Object
implements PortletResponse

Version:
  $Revision: 6697 $
Author:
  Julien Viet

Field Summary
`protected PortletInvocation` | `invocation` .
`protected PortletRequestImpl` | `preq` .

Constructor Summary
`protected` | `PortletResponseImpl(PortletInvocation invocation, PortletRequestImpl preq)`

Method Summary
`void` | `addProperty(java.lang.String key, java.lang.String value)` Adds a String property to an existing key to be returned to the portal.
`java.lang.String` | `encodeURL(java.lang.String url)` Returns the encoded URL of the resource, like servlets, JSPs, images and other static files, at the given path.
`void` | `setProperty(java.lang.String key, java.lang.String value)` Sets a String property to be returned to the portal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### invocation

    protected final PortletInvocation invocation

  .

### preq

    protected final PortletRequestImpl preq

  .

Constructor Detail

### PortletResponseImpl

    protected PortletResponseImpl(PortletInvocation invocation,
                                  PortletRequestImpl preq)

Method Detail

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Description copied from interface: `PortletResponse`
  Returns the encoded URL of the resource, like servlets, JSPs, images and other static files, at the given path.

  Some portal/portlet-container implementation may require those URLs to contain implementation specific data encoded in it. Because of that, portlets should use this method to create such URLs.

  The `encodeURL` method may include the session ID and other portal/portlet-container specific information into the URL. If encoding is not needed, it returns the URL unchanged.

  Specified by:
    `encodeURL` in interface `PortletResponse`
  Parameters:
    `url` - the URI path to the resource. This must be either an absolute URL (e.g. `http://my.co/myportal/mywebap/myfolder/myresource.gif`) or a full path URI (e.g. `/myportal/mywebap/myfolder/myresource.gif`).
  Returns:
    the encoded resource URL as string

### addProperty

    public void addProperty(java.lang.String key,
                            java.lang.String value)
                     throws java.lang.IllegalArgumentException

  Description copied from interface: `PortletResponse`
  Adds a String property to an existing key to be returned to the portal.

  This method allows response properties to have multiple values.

  Properties can be used by portlets to provide vendor specific information to the portal.

  Specified by:
    `addProperty` in interface `PortletResponse`
  Parameters:
    `key` - the key of the property to be returned to the portal
    `value` - the value of the property to be returned to the portal
  Throws:
    `java.lang.IllegalArgumentException` - if key is `null`.

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)
                     throws java.lang.IllegalArgumentException

  Description copied from interface: `PortletResponse`
  Sets a String property to be returned to the portal.

  Properties can be used by portlets to provide vendor specific information to the portal.

  This method resets all properties previously added with the same key.

  Specified by:
    `setProperty` in interface `PortletResponse`
  Parameters:
    `key` - the key of the property to be returned to the portal
    `value` - the value of the property to be returned to the portal
  Throws:
    `java.lang.IllegalArgumentException` - if key is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD